// -*- C++ -*-
//
// Uglast.cc
// User routine for GEANT termination
//
// Author:  Mitsuhiro YAMAGA (yamaga@post.kek.jp)
// Created: Thu Jul 12 15:34:41 JST 2001
//
// $Id: Uglast.cc,v 1.1.1.1 2002/08/13 12:48:08 kensh Exp $
//
// Revision History
//
// $Log: Uglast.cc,v $
// Revision 1.1.1.1  2002/08/13 12:48:08  kensh
//
//
// Start version.
//
//

#include "ccfortran/ccfortran.h"
#include "ccfortran/G321Common.h"
#include "gsim-general/GsimGeneral.h"


////////////////
void
Uglast()
{
  if ( gcflag_.ISWIT[3-1] > 0 )
    std::cerr << "Uglast" << std::endl;

  // Print histograms and statistics
  GLAST();

  // Close HIGZ/GKS file
  if ( Display && !isGxsim ){ // Gxsim opens a display by itself.
    HPLEND();
    IGEND();
  }

}


