/*                    Grand Unified File IO  Service Routine

*/	 

static char rcsid_gubufsiz[] = "@(#) $Id: gubufsiz.c,v 1.1 2002/12/11 14:12:33 yamaga Exp $";

#include <stdio.h>
#include <unistd.h>
#include <errno.h>
#include <fcntl.h>
#include <string.h>
#include <ctype.h>
#include <sys/time.h>
#include "hpss_api.h"
#include "hpss_types.h"
#include "u_signed64.h"
#include "gufio/hpss_bufapi.h"
#include "gufio/gufio.h"


int gubufsiz(int fd, int size)
{
  struct gufio_tbl *thetbl;
  int allocated_size;

  thetbl = gutblget(fd);
  if ( thetbl->ftype == GUFILE_HPSS ) {
    allocated_size = hpss_Bufsize(thetbl->hfd, size);
    if ( size < 0 ) {
      return(-1);
    }
    return(allocated_size);
  } else {
    return(0);
  }
}
